> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve bank account guide

GET https://api.letsdeel.com/rest/eor/workers/banks-guide/country/{country}/currency/{currency}

Returns the bank account form guide for the specified `country` and `currency` combination, providing the field structure required to add a new bank account for an EOR employee.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-banks/get-eor-worker-bank-guide-by-country-and-currency

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `country` (string, required) — Country
- `currency` (string, required) — Currency

## Response

### 200

Successful operation.

- `data` (list of EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItems

- `key` (string, required) — The key of the field.
- `ui_guide` (EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsUiGuide, required) — UI guidance information for rendering this field in forms.
- `is_required` (boolean, required, nullable) — Whether the field is required or not.
- `type` (string, optional) — Type of the field
- `validations` (list of EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValidationsItems, optional) — Array of validation rules that apply to this field.
- `values_allowed` (list of EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValuesAllowedItems, optional) — Array of allowed values for this field (used for dropdowns, select lists, etc.).

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `field` (string, optional) — Name of the field causing the error (for validation issues)
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsUiGuide

UI guidance information for rendering this field in forms.

- `label` (string, optional) — Label for this field.
- `order` (integer, optional) — Order of the field in the form.
- `helper_text` (string, optional, nullable) — Helper text to guide the user.

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValidationsItems

- `type` (enum, optional) — The type of validation rule to apply.
  - Allowed values: `MIN_LENGTH`, `MAX_LENGTH`, `REGEX`
- `value` (EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValidationsItemsValue, optional) — The value to use for the validation rule (e.g., minimum length, regex pattern).
- `error_message` (string, optional) — Error message to be displayed if validation fails.

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValuesAllowedItems

- `label` (string, optional) — The name of the allowed value.
- `value` (string, optional) — The value of the allowed value.

### EorWorkersBanksGuideCountryCountryCurrencyCurrencyGetResponsesContentApplicationJsonSchemaDataItemsValidationsItemsValue

The value to use for the validation rule (e.g., minimum length, regex pattern).

## Examples

**Response**

```json
{
  "data": [
    {
      "key": "countryCode",
      "ui_guide": {
        "label": "Country",
        "order": 1,
        "helper_text": "Select your country code."
      },
      "is_required": true,
      "type": "text",
      "validations": [
        {
          "type": "MIN_LENGTH",
          "value": 2,
          "error_message": "Value must be at least 2 characters long."
        }
      ],
      "values_allowed": [
        {
          "label": "Argentina",
          "value": "AR"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/workers/banks-guide/country/FR/currency/EUR")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```